From 0f3d3b542e15cc3504f542a97eb62756309359c9 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 14 2020 00:08:19 +0000
Subject: [PATCH 1732/2232] Set iterator size hint for OrderedSet iteration


---

diff --git a/syntax/set.rs b/syntax/set.rs
index 6508f55..0618564 100644
--- a/syntax/set.rs
+++ b/syntax/set.rs
@@ -102,9 +102,14 @@ pub struct Iter<'s, 'a, T>(slice::Iter<'s, &'a T>);
 
 impl<'s, 'a, T> Iterator for Iter<'s, 'a, T> {
     type Item = &'a T;
+
     fn next(&mut self) -> Option<Self::Item> {
         self.0.next().copied()
     }
+
+    fn size_hint(&self) -> (usize, Option<usize>) {
+        self.0.size_hint()
+    }
 }
 
 impl<'a, T> Debug for OrderedSet<&'a T>

